'use strict';

angular
    .module('adf.widget.electre.lavoisier')
    .controller('lavoisierIframeCtrl',
        [
            "$scope", "config", "$sce",
            function($scope, config, $sce){
                $scope.success = false;
                $scope.failed = false;
                $scope.computing = false;

                function computing () {
                    $scope.success = false;
                    $scope.failed = false;
                    $scope.computing = true;
                }
                function success () {
                    $scope.computing = false;
                    $scope.failed = false;
                    $scope.success = true;
                }
                function failed () {
                    $scope.computing = false;
                    $scope.success = false;
                    $scope.failed = true;
                }

                if (config.baseurl && config.view) {
                    computing();
                    var url_ = config.baseurl + "/" + config.view + (Object.keys(config["parameters_" + config.view]).length > 0 ? "?" : "");
                    if (Object.keys(config["parameters_" + config.view]).length > 0)
                        for (var index in config["parameters_" + config.view])
                            if (config["parameters_" + config.view][index])
                                url_ += (url_.substring(url_.length - 1).match(/\u003f/) ? "" : "&")
                                    + index + "=" + config["parameters_" + config.view][index];
                    
                    if (config.rendering) url_ += (url_.match(/\u003f/) ? "&" : "?") + "accept=" + config.rendering;

                    $scope.height = config.height || 345;
                    $scope.url = $sce.trustAsResourceUrl(url_);

                    success();
                }
            }
        ]
    );
